at.chipkarte.client.fus.soap

## Class Formular

- Object
- - at.chipkarte.client.fus.soap.Formular

-     public class Formular
      extends Object

  Dient der Ausgabe der Detaildaten des Formulars.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `Formular()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `AdministrativeVODaten` | `getAdministrativeVODaten()` Administrative VO Daten.
    `AIBDaten` | `getAib()` Formularspezifische Daten eines AIB Formulars.
    `AKBDaten` | `getAkb()` Formularspezifische Daten eines AKB Formulars.
    `AttachmentInfo` | `getAttachmentInfo()` Die Metadaten zum gesamten Attachment-Paket.
    `BIBDaten` | `getBib()` Formularspezifische Daten eines BIB Formulars.
    `BKADaten` | `getBka()` Formularspezifische Daten eines BKA Formulars.
    `BKIDaten` | `getBki()` Formularspezifische Daten eines BKI Formulars.
    `BKMDaten` | `getBkm()` Formularspezifische Daten eines BKM Formulars.
    `javax.activation.DataHandler` | `getDruckaufbereitung()` Druckaufbereitung des Formulars als PDF-Datei.
    `EKVDaten` | `getEkv()` Formularspezifische Daten eines EKV Formulars.
    `Formularcodegruppe` | `getFormularcode()` Formularcode sowie die ihn zusammensetzenden Elemente.
    `String` | `getFormulardatum()` Datum des Formulars.
    `String` | `getFormularstatus()` Status des Formulars bei VO Formularen.
    `String` | `getFormulartyp()` Typ des Formulars.
    `Konsultation` | `getKonsultation()` Konsultation des Formulars.
    `String` | `getLokaleGkk()` KV-Trägercode der lokalen GKK zu der das EKV-Formular erstellt wurde.
    `RIBDaten` | `getRib()` Formularspezifische Daten eines RIB Formulars.
    `RKBDaten` | `getRkb()` Formularspezifische Daten eines RKB Formulars.
    `Rueckantwort` | `getRueckantwort()` Die aktuelle Rückantwort.
    `SvPersonV2` | `getSvPatient()` Daten eines Patienten mit SV-Nummer.
    `VODaten` | `getVo()` Formularspezifische Daten eines VO Formulars.
    `WpBehandlungsdaten` | `getWpBehandlungsdaten()` Wahlbehandler Behandlungsdaten.
    `void` | `setAdministrativeVODaten(AdministrativeVODaten administrativeVODaten)`
    `void` | `setAib(AIBDaten aib)`
    `void` | `setAkb(AKBDaten akb)`
    `void` | `setAttachmentInfo(AttachmentInfo attachmentInfo)`
    `void` | `setBib(BIBDaten bib)`
    `void` | `setBka(BKADaten bka)`
    `void` | `setBki(BKIDaten bki)`
    `void` | `setBkm(BKMDaten bkm)`
    `void` | `setDruckaufbereitung(javax.activation.DataHandler druckaufbereitung)`
    `void` | `setEkv(EKVDaten ekv)`
    `void` | `setFormularcode(Formularcodegruppe formularcode)`
    `void` | `setFormulardatum(String formulardatum)`
    `void` | `setFormularstatus(String formularstatus)`
    `void` | `setFormulartyp(String formulartyp)`
    `void` | `setKonsultation(Konsultation konsultation)`
    `void` | `setLokaleGkk(String lokaleGkk)`
    `void` | `setRib(RIBDaten rib)`
    `void` | `setRkb(RKBDaten rkb)`
    `void` | `setRueckantwort(Rueckantwort rueckantwort)`
    `void` | `setSvPatient(SvPersonV2 svPatient)`
    `void` | `setVo(VODaten vo)`
    `void` | `setWpBehandlungsdaten(WpBehandlungsdaten wpBehandlungsdaten)`

    - ### Methods inherited from class Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### Formular

          public Formular()

  - ### Method Detail

    - #### getFormularcode

          public Formularcodegruppe getFormularcode()

      Formularcode sowie die ihn zusammensetzenden Elemente. Siehe `Formularcodegruppe`.
      Wird bei Eingabe ignoriert.
      Angabe: Muss.
      Returns:
        Formularcode.

    - #### setFormularcode

          public void setFormularcode(Formularcodegruppe formularcode)

    - #### getSvPatient

          public SvPersonV2 getSvPatient()

      Daten eines Patienten mit SV-Nummer.
      Angabe: Bedingt. Keine Angabe bei Formulartyp gleich `EKV`, `BKA` und `BKM` ansonsten Muss.
      Returns:
        SvPersonV2.

    - #### setSvPatient

          public void setSvPatient(SvPersonV2 svPatient)

    - #### getKonsultation

          public Konsultation getKonsultation()

      Konsultation des Formulars. Siehe `Konsultation`.
      Angabe: Bedingt. Bei Formularen ungleich `EKV`, `BKA`, `BKM` und `VO`: Entweder Konsultation oder WpBehandlungsdaten ist versorgt.
      Bei Formular gleich `EKV`, `BKA`, `BKM` oder `VO`: Nicht angegeben.
      Returns:
        Konsultation.

    - #### setKonsultation

          public void setKonsultation(Konsultation konsultation)

    - #### getWpBehandlungsdaten

          public WpBehandlungsdaten getWpBehandlungsdaten()

      Wahlbehandler Behandlungsdaten. Siehe `WpBehandlungsdaten`.
      Angabe: Bedingt. Bei Formularen ungleich `EKV`, `BKA`, `BKM` und `VO`: Entweder Konsultation oder WpBehandlungsdaten ist versorgt.
      Bei Formular gleich `EKV`, `BKA`, `BKM` oder `VO`: Nicht angegeben.
      Returns:
        WpBehandlungsdaten.

    - #### setWpBehandlungsdaten

          public void setWpBehandlungsdaten(WpBehandlungsdaten wpBehandlungsdaten)

    - #### getAdministrativeVODaten

          public AdministrativeVODaten getAdministrativeVODaten()

      Administrative VO Daten. Siehe `AdministrativeVODaten`.
      Angabe: Bedingt. Muss bei `VO` Formularen.
      Sonst nicht angegeben.
      Returns:
        AdministrativeVODaten.

    - #### setAdministrativeVODaten

          public void setAdministrativeVODaten(AdministrativeVODaten administrativeVODaten)

    - #### getLokaleGkk

          public String getLokaleGkk()

      KV-Trägercode der lokalen GKK zu der das EKV-Formular erstellt wurde.
      Mögliche Werte siehe `getSVTs`.
      Angabe: Bedingt. Bei Formularen ungleich `EKV`: Nicht angegeben. Bei Formular gleich `EKV`: Muss.
      Returns:
        Kvt.

    - #### setLokaleGkk

          public void setLokaleGkk(String lokaleGkk)

    - #### getFormulardatum

          public String getFormulardatum()

      Datum des Formulars.
      Angabe: Muss.
      Format: TT.MM.JJJJ
      Returns:
        Formulardatum.

    - #### setFormulardatum

          public void setFormulardatum(String formulardatum)

    - #### getFormulartyp

          public String getFormulartyp()

      Typ des Formulars.
      Mögliche Werte siehe `FormulartypConstants`.
      Angabe: Muss.
      Returns:
        Formulartyp.

    - #### setFormulartyp

          public void setFormulartyp(String formulartyp)

    - #### getFormularstatus

          public String getFormularstatus()

      Status des Formulars bei VO Formularen.
      Mögliche Werte siehe `FormularstatusConstants`.
      Angabe: Bedingt. Muss bei `VO` Formularen. Sonst nicht angegeben.
      Returns:
        Formularstatus.

    - #### setFormularstatus

          public void setFormularstatus(String formularstatus)

    - #### getBib

          public BIBDaten getBib()

      Formularspezifische Daten eines BIB Formulars. Siehe `BIBDaten`.
      Angabe: Bedingt. Ist versorgt wenn Formulartyp gleich BIB.
      Returns:
        BIBDaten.

    - #### setBib

          public void setBib(BIBDaten bib)

    - #### getRib

          public RIBDaten getRib()

      Formularspezifische Daten eines RIB Formulars. Siehe `RIBDaten`.
      Angabe: Bedingt. Ist versorgt wenn Formulartyp gleich RIB.
      Returns:
        RIBDaten.

    - #### setRib

          public void setRib(RIBDaten rib)

    - #### getAib

          public AIBDaten getAib()

      Formularspezifische Daten eines AIB Formulars. Siehe `AIBDaten`.
      Angabe: Bedingt. Ist versorgt wenn Formulartyp gleich AIB.
      Returns:
        AIBDaten.

    - #### setAib

          public void setAib(AIBDaten aib)

    - #### getBki

          public BKIDaten getBki()

      Formularspezifische Daten eines BKI Formulars. Siehe `BKIDaten`.
      Angabe: Bedingt. Ist versorgt wenn Formulartyp gleich BKI.
      Returns:
        BKIDaten.

    - #### setBki

          public void setBki(BKIDaten bki)

    - #### getRkb

          public RKBDaten getRkb()

      Formularspezifische Daten eines RKB Formulars. Siehe `RKBDaten`.
      Angabe: Bedingt. Ist versorgt wenn Formulartyp gleich RKB.
      Returns:
        RKBDaten.

    - #### setRkb

          public void setRkb(RKBDaten rkb)

    - #### getAkb

          public AKBDaten getAkb()

      Formularspezifische Daten eines AKB Formulars. Siehe `AKBDaten`.
      Angabe: Bedingt. Ist versorgt wenn Formulartyp gleich AKB.
      Returns:
        AKBDaten.

    - #### setAkb

          public void setAkb(AKBDaten akb)

    - #### getEkv

          public EKVDaten getEkv()

      Formularspezifische Daten eines EKV Formulars. Siehe `EKVDaten`.
      Angabe: Bedingt. Ist versorgt wenn Formulartyp gleich EKV.
      Returns:
        EKVDaten.

    - #### setEkv

          public void setEkv(EKVDaten ekv)

    - #### getBka

          public BKADaten getBka()

      Formularspezifische Daten eines BKA Formulars. Siehe `BKADaten`.
      Angabe: Bedingt. Ist versorgt wenn Formulartyp gleich BKA.
      Returns:
        BKADaten.

    - #### setBka

          public void setBka(BKADaten bka)

    - #### getBkm

          public BKMDaten getBkm()

      Formularspezifische Daten eines BKM Formulars. Siehe `BKMDaten`.
      Angabe: Bedingt. Ist versorgt wenn Formulartyp gleich BKM.
      Returns:
        BKMDaten.

    - #### setBkm

          public void setBkm(BKMDaten bkm)

    - #### getVo

          public VODaten getVo()

      Formularspezifische Daten eines VO Formulars. Siehe `VODaten`.
      Angabe: Bedingt. Ist versorgt wenn Formulartyp gleich VO.
      Returns:
        VODaten.

    - #### setVo

          public void setVo(VODaten vo)

    - #### getAttachmentInfo

          public AttachmentInfo getAttachmentInfo()

      Die Metadaten zum gesamten Attachment-Paket. Siehe `AttachmentInfo`.
      Angabe: Kann.
      Returns:
        AttachmentInfo.

    - #### setAttachmentInfo

          public void setAttachmentInfo(AttachmentInfo attachmentInfo)

    - #### getDruckaufbereitung

          public javax.activation.DataHandler getDruckaufbereitung()

      Druckaufbereitung des Formulars als PDF-Datei.
      Angabe: Bedingt.
      Returns:
        SOAP-Attachment.

    - #### setDruckaufbereitung

          public void setDruckaufbereitung(javax.activation.DataHandler druckaufbereitung)

    - #### getRueckantwort

          public Rueckantwort getRueckantwort()

      Die aktuelle Rückantwort. Siehe `Rueckantwort`.
      Angabe: Kann.
      Returns:
        Rueckantwort.

    - #### setRueckantwort

          public void setRueckantwort(Rueckantwort rueckantwort)